PYRCC5(1)

NAME
pyrcc5 - compile Qt resource files for PyQt5 applications

SYNOPSIS
pyrcc5 [OPTION]... FILES

DESCRIPTION
pyrcc5 takes a Qt Resource File (.qrc) and converts it into a Python module which can be imported into a PyQt5 application. All files loaded by Qt that are prefixed with a colon will be loaded from the resources rather than the file system.

OPTIONS

-help
    Show a summary of the options.

-version
    Display the version number and exit.

-o FILE
    Write the generated output to FILE instead of stdout.

-threshold LEVEL
    Set the threshold above which files should be compressed.

-compress LEVEL
    Set the compression level for all input files.

-root PATH
    Search all resource referenced in a .qrc file under PATH.

-no-compress
    Do not compress the resource files at all.

AUTHOR
This manual page was written for Debian GNU/Linux by Torsten Marek <shlomme@debian.org>, but may freely be used by others.